En poursuivant votre navigation sur ce site, vous acceptez l'utilisation de cookies pour vous proposer des contenus et services adaptés. Mentions légales.
 

GuppY, le CMS de référence sans base de données

telecharger01.png

Vous êtes ici :   Accueil » ???
 
Prévisualiser...  Imprimer...  Imprimer la page...

Archives du forum - Guppy 5 - Sujet n°129890

Sujet n°129890
Probleme administrateur depuis passage 5.0
   par Asso-VVV50530 le 13/03/2018 @ 19:56

Bonjour,

Après le passage à la version 5.02.02, j'ai, lorsque j'utilise la configuration des services, l'impossibilité de revenir sur la page administrateur.

Je ne comprends pas dans les explications données pour ce problème de configuration des champs administrateur.

Mon hebergeur est Oxito et leur version PHP est la 5.5 ; impossibilité de PHP superieur et de passer en HTTPS.

GuppY 5.02.03 Système d'exploitation du serveur : Linux 2.6.32-bpo.5-amd64 PHP : 5.5.9 / MET=30 - ML=64M - UMF=24M - PMS=32M - MFU=20 URL du site : http://vvv50530.fr/ Plugins : , Glossaire 3.1.2, , Vitesse de Connexion UA: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/58.0 Device: computer Résolution écran : 0x0  

Réponse n° 1
par JeandePeyrat le 13/03/2018 @ 20:33

Bonsoir,

Les explications sont pourtant très claires en rubrique téléchargement et dans la dernière nouvelle à ce jour. il y a ausi les tutos sur GHC (le centre d'aide GuppY)

En ce qui concerne le PHP :

Pré-requis : PHP 5.6 minimum

Il faudrait voir avec l'hébergeur qui est très en retard car de très nombreux hébergeurs sont en PHP 5.6.X et même PHP 7.xx.xx

Pour le httpS c'est la même chose.

Cordialement,

Réponse n° 2
par Asso-VVV50530 le 14/03/2018 @ 09:34

Merci pour cette réponse rapide ; c'est vrai les explications sont claires mais rien ne tourne correctement sur mon site aussi bien sur le web qu'en local.

J'ai donc réaliser une installation propre sur mon ordi ; j'ai suivi à la lettre la création de membre (moi même), puis de l'administrateur puis de l'admin second et à chaque enregistrement pour une modification des services, je ne peux plus me reconnecter en tant qu'administrateur :message : " Vous n'avez pas accès à l'administration. Si vous n'êtes pas connecté comme membre avec les droits appropriés, veuillez le faire, sinon veuillez contacter l'administrateur principal. "

Je suis obligé de réinstaller la sauvegarde de data pour retrouver mon accès et rebelotte après un enregistrement de configservices. Le premier onglet administration disparait.

Ma config de l'ordi en local : GuppY 5.02.03 Système d'exploitation du serveur : Apache/2.4.18 (Win32) OpenSSL/1.0.2f PHP/7.0.3/WINNT 6.2 PHP : 7.0.3 / MET=30 - ML=128M - UMF=2M - PMS=8M - MFU=20 URL du site : http://vvv50530.fr/ Plugins : Horloge, Devinette, Vitesse de Connexion UA: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0 Device: computer Résolution écran : 0x0

Merci si vous pouvez m'aider

Réponse n° 3
par JeandePeyrat le 14/03/2018 @ 10:20

Bonjour,

En local c'est difficile de t'aider car ce serait une répétition des tutos.

En ligne ce serait possible :

  • Si tu le souhaites, tu peux nous envoyer par Nous contacter dans la boite Infos Site en bas de page:

    - Le pseudo de l'administrateur principal, son mot de passe, son mail

    - Le pseudo de l'administrateur secondaire, son mot de passe, son mail

    - Le mot de passe pour entrer en admin du site

    - Les identifiants FTP : Hôte, Identifiant et mot de passe.  

    Nous regarderons la configuration du site dès que possible à condition que les prérequis soient corrects notamment le PHP => 5.6 

Cordialement,

Réponse n° 4
par Asso-VVV50530 le 14/03/2018 @ 11:25

Ce serait avec plaisir d'envoyer ce qui est demandé, mais comme déjà expliqué précedemment l'hebergeur est en PHP 5.5.9 et prochainement ?? en version supérieure. Les vérifs ne pourront donc être réalisées.

GuppY 5.02.03 Système d'exploitation du serveur : Linux 2.6.32-bpo.5-amd64 PHP : 5.5.9 / MET=30 - ML=64M - UMF=24M - PMS=32M - MFU=20 URL du site : http://vvv50530.fr/ Plugins : , Glossaire 3.1.2, , Vitesse de Connexion UA: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0 Device: computer Résolution écran : 0x0

Seul le site en local est en version PHP 7

GuppY 5.02.03 Système d'exploitation du serveur : Apache/2.4.18 (Win32) OpenSSL/1.0.2f PHP/7.0.3/WINNT 6.2 PHP : 7.0.3 / MET=30 - ML=128M - UMF=2M - PMS=8M - MFU=20 URL du site : http://localhost/ Plugins : Horloge, Devinette, Vitesse de Connexion UA: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0 Device: computer Résolution écran : 1920x1200

Il faudrait que je revienne à la version 5.0, mais ou peut-on la trouver ?

Cordialement

Claude

Réponse n° 5
par Papinou le 14/03/2018 @ 14:00

Bonjour,

Citation :

Il faudrait que je revienne à la version 5.0, mais ou peut-on la trouver ?

Ce n'est certainement pas la solution, si nous sortons des patchs c'est pour améliorer, pour corriger et même parfois des failles de sécurité.

Donc il n'est pas question de laisser en téléchargement des versions obsolètes ou non sécurisées.

C'est quoi cet hébergeur, vraiment pas en avance, tous les hébergeurs proposent 5.6 au minimum.

En local, avec du PHP 7, tout devrait fonctionner, tu utilises quel serveur web local ?

Tu as vu ce tutoriel ?

Cordialement, Papinou Je suis membre de l'asso freeGuppY... et vous ???

Réponse n° 6
par Asso-VVV50530 le 23/03/2018 @ 09:09

Bonjour,

Je suis totalement désemparé car quelquesoit la manière de procéder, dès que j'enregistre une modication dans la config services, je me retrouve dans l'impossibilité d'accéder au site en admin ; il faut que je remette les datas de la sauvegarde d'avant la modif pour retrouver  l'administrateur.

Notre hébergeur OXITO (suisse) sa dernière réponse : (Merci d’avoir contacté Oxito. Je m’appelle Alexandre et je suis ravi de répondre à votre demande concernant les nouvelles versions de PHP. Nous vous informons que nos équipes travaillent actuellement à la mise à jour de l'ensemble de notre infrastructure pour nous permettre de vous proposer les dernières versions de PHP ainsi que d'autres nouvelles fonctionnalités. Nous ne pouvons pas vous communiquer de date précise quant à la disponibilité de cette mise à niveau, cependant vous serez informés lors de la mise à disposition.) Quant en local, j'utilise UWamp version 3.10 ; il doit y avoir certainement une modif à effectuer dans un fichier inc, mais lequel ?

Merci pour vos réponses et surtout pouvez vous m'indiquer un autre hébergeur sur lequel faire migrer notre site, si le CA donne son aval.

Claude

Réponse n° 7
par corsaire le 23/03/2018 @ 10:29

Je ne sais pas si ça va t'aider, mais après plusieurs test d'installations de la 5.02.03, j'ai constaté que l'admin principal n'était pas obligatoirement pris en compte après la 1ère saisie. Donc j'ai du ressaisir une seconde fois dans la foulée. J'ai alors été jeté comme n'ayant pas les droits. Déconnexion puis reconnexion, cela a été.

Une autre fois, j'ai du vider mes caches (historiques, cookies, etc..) car l'admin était considéré comme ayant perdu sa session et impossible à la reconnexion de modifier mes préférences (vides quant au mot de passe et courriel) car il considérait que ce n'était pas mon pseudo au moment de l'enregistrement !!!!

Je continuerai mes tests plus tard car là j'ai à faire. Mais il semble que des problèmes apparaissent à l'installation et que la doc d'installation fournie ai à être peaufinée. Exemple, lorsqu'on accède la première fois à l'admin on a 2 icônes (conf générale et mot de passe) dans une popup. On pourrait s'attendre à faire la conf d'abord puis à avoir accès à la seconde icône via la même popup, mais il n'en est rien; il faut passer par le menu Généralité / Mot de passe Admin. Cette particularité n'est indiquée nulle part.


Retour à la liste des sujets

Vous êtes ici :   Accueil » Archives du forum - Guppy 5 - Sujet n°129890
 

Préférences


Se reconnecter :
Votre nom (ou pseudo) :
Votre mot de passe
<O>


  13996225 visiteurs
  13 visiteurs en ligne

Connectés :
( personne )
Snif !!!

Newsletter

Pour avoir des nouvelles de ce site, inscrivez-vous à notre Newsletter.

Avant de soumettre ce formulaire, veuillez lire et accepter les Mentions légales.

J'accepte :
Recopier le code :
Site enregistré à la CNIL sous l'agrément 1040387.
Vous disposez d'un droit d'accès, de modification, de rectification
et de suppression des données selon la loi Informatique et Liberté (article 34) du 6 janvier 1978.

 
FreeGuppY.org est hébergé sur un serveur dédié LWS
 
gy_twitter02.png